## org.apache.hadoop.metrics2.util
Class SampleStat.MinMax

    java.lang.Object
      org.apache.hadoop.metrics2.util.SampleStat.MinMax

Enclosing class:
  SampleStat

    public static class SampleStat.MinMax

extends Object

Helper to keep running min/max

Constructor Summary
`SampleStat.MinMax()`

Method Summary
`void` `add(double value)`
`double` `max()`
`double` `min()`
`void` `reset()`
`void` `reset(SampleStat.MinMax other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SampleStat.MinMax

    public SampleStat.MinMax()

Method Detail

### add

    public void add(double value)

### min

    public double min()

### max

    public double max()

### reset

    public void reset()

### reset

    public void reset(SampleStat.MinMax other)

Copyright © 2009 The Apache Software Foundation